import request from '@/utils/request'

// 分页查询定时任务
export function getPageQuartzJob(params) {
  return request({
    url: '/quartzJob/page',
    method: 'get',
    params
  })
}

// 查询定时任务
export function getIdQuartzJob(params) {
  return request({
    url: `/quartzJob/${params.id}`,
    method: 'get',
    params
  })
}

// 新增定时任务
export function saveQuartzJob(data) {
  return request({
    url: '/quartzJob/save',
    method: 'post',
    data
  })
}

// 修改定时任务
export function updateQuartzJob(data) {
  return request({
    url: '/quartzJob/update',
    method: 'post',
    data
  })
}

// 删除定时任务
export function deleteQuartzJob(params) {
  return request({
    url: '/quartzJob/delete',
    method: 'delete',
    params
  })
}

// 立即执行任务
export function updateRunQuartzJob(params) {
  return request({
    url: '/quartzJob/run',
    method: 'get',
    params
  })
}

// 暂停定时任务
export function updatePauseQuartzJob(data) {
  return request({
    url: '/quartzJob/pause',
    method: 'post',
    data
  })
}

// 恢复定时任务
export function updateResumeQuartzJob(data) {
  return request({
    url: '/quartzJob/resume',
    method: 'post',
    data
  })
}
